# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'active_connection/version'

Gem::Specification.new do |spec|
  spec.name          = 'active_connection'
  spec.version       = ActiveConnection::VERSION
  spec.authors       = [ 'Frank J. Mattia' ]
  spec.email         = [ 'frankjmattia@gmail.com' ]
  spec.description   = %q{Scope ActiveRecord connection to specifc PostgreSQL schemata on the fly.}
  spec.summary       = %q{A simple wrapper around ActiveRecord::Base.connection.schema_search_path.}
  spec.homepage      = ''
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = [ 'lib' ]

  spec.add_dependency 'activerecord', '>= 3.0', '< 4.3'
  spec.add_dependency 'pg',           '~> 0.17'

  spec.add_development_dependency 'bundler',    '~> 1.3'
  spec.add_development_dependency 'coveralls'
  spec.add_development_dependency 'rake',       '~> 10.0'
  spec.add_development_dependency 'rspec',      '~> 2.0'
end
